Bug 220414 - can't commit pre-edit state by clicking in kedit
can't commit pre-edit state by clicking in kedit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
bzcl34nup
: i18n, MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-20 22:18 EST by Jong Bae KO
Modified: 2008-07-28 16:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-28 16:46:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for scim-hangul to enable mouse and commit preedited text (1.64 KB, patch)
2007-01-11 04:25 EST, Sachin Tawniya
no flags Details | Diff

  None (edit)
Description Jong Bae KO 2006-12-20 22:18:22 EST
Description of problem:
pre-editing state isn't committed by clicking and cannot click as well in Hangul
on kedit.

This happen in RHEL5 as well.


Version-Release number of selected component (if applicable):
kdeutils-3.5.5-0.1.fc6

How reproducible:
always

Steps to Reproduce:
1. Run kedit and scim-hangul
2. type "ehdgoanfrhk qorentks" in Hangul <-- 동해물과 백두산
3. click between 해 and 물
  
Actual results:
doesn't commit pre-editing state and cannot click.

Expected results:
commit pre-editing and can click

Additional info:
Comment 1 Jong Bae KO 2006-12-21 23:12:16 EST
This bug is included CJK language.
I test with Japanese and Chinese and it showed the same result
Comment 2 Akira TAGOH 2006-12-29 20:52:20 EST
Jong, better explain more details in the expected results, how characters looks
like after commit.
Comment 3 Jong Bae KO 2007-01-01 19:34:05 EST
ok, Tagoh

If you did Steps to Reproduce.
The expected result and Actual result will be the same as this(동해물과 백두산) .
However, '산' should be commited by clicking in the expected result, and 
underline & transparent should be disappeared in pre-editing state.
Comment 4 Sachin Tawniya 2007-01-11 04:25:57 EST
Created attachment 145328 [details]
Patch for scim-hangul to enable mouse and commit preedited text

Please apply this patch after resetinputcontext.patch. In given patch
considered reset event to commit the preedit text area and enabled cursor to
place where mouse points/clicked. 
regards,
sachin
Comment 5 Chitlesh GOORAH 2007-02-18 08:34:50 EST
Has this been fixed in the kdeutils-3.5.6-0.1.fc6 ???
Comment 6 Rex Dieter 2007-06-20 11:04:56 EDT
looks like a qt issue, reassigning...
Comment 7 Bug Zapper 2008-04-04 01:19:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Jens Petersen 2008-05-01 02:05:33 EDT
Still happens with qt4 alas.
Comment 9 Bug Zapper 2008-05-13 22:31:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Steven M. Parrish 2008-06-30 17:26:14 EDT
This has been an open issue for 18months.  Is it going to be address locally or
bumped upstream or closed?
Comment 11 Jong Bae KO 2008-07-01 01:37:38 EDT
I have checked kdeutils on F9
It seems kdeutils removed kedit.

# cat /etc/fedora-release 
Fedora release 9 (Sulphur)
# rpm -qa | grep kdeutils
kdeutils-4.0.5-1.fc9.i386
# rpm -ql kdeutils-4.0.5-1.fc9.i386 | grep kedit
#

 
Comment 12 Steven M. Parrish 2008-07-28 16:46:18 EDT
Going to close this, if you feel there is still an issue please feel free to
reopen and add additional comments.

Note You need to log in before you can comment on or make changes to this bug.